function [fr16data] = float_to_fr16(fltdata)
%[fr16data] = float_to_fr16(fltdata)
%	Convert floating-point data to fixed-point data.
%
%Notation:
%fr16 corresponds to 16-bit fixed-point data
%fr32 corresponds to 32-bit fixed-point data

fr16data = flt2fp(fltdata, -16, 15);
fr16data = fr16data(:,1);

% something in the Matlab 'flt2fp' function may be wrong
hack = find(fr16data==65536);
fr16data(hack) = 0;